org.apache.fop.layoutmgr

## Class LayoutManagerMapping.MultiSwitchLayoutManagerMaker

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
  - - org.apache.fop.layoutmgr.LayoutManagerMapping.MultiSwitchLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

    public class LayoutManagerMapping.MultiSwitchLayoutManagerMaker
    extends LayoutManagerMapping.Maker

### Constructor Summary

Constructors
Constructor and Description
`MultiSwitchLayoutManagerMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `make(FONode node, List lms, FOUserAgent userAgent)` Create a layout manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiSwitchLayoutManagerMaker

    public MultiSwitchLayoutManagerMaker()

### Method Detail

#### make

    public void make(FONode node,
                     List lms,
                     FOUserAgent userAgent)

Description copied from class: `LayoutManagerMapping.Maker`
Create a layout manager.

Overrides:
  `make` in class `LayoutManagerMapping.Maker`
Parameters:
  `node` - the associated FO node
  `lms` - a list of layout managers to which new manager is to be added